@import '../abstracts/variables';
@import '../abstracts/mixins';

.posts {
	width: 100%;
	@include save-paddings;
	padding-top: 38px;
	padding-bottom: 40px;

	@media (min-width: $bp-medium) {
		padding-top: 56px;
		padding-bottom: 60px;
	}
	@media (min-width: $bp-large) {
		padding-top: 66px;
		padding-bottom: 69px;
	}
}

.posts__title {
	margin-bottom: 23px;

	@media (min-width: $bp-medium) {
		margin-bottom: 24px;
	}
}

.posts__card-container {
	display: grid;
	grid-template-columns: 1fr;
	gap: 29px;

	@media (min-width: $bp-medium) {
		gap: 32px;
	}

	@media (min-width: $bp-large) {
		grid-template-columns: repeat(2, 1fr);
	}
}

.posts__card {
	&:nth-child(2) {
		grid-area: 2 / 1;
	}

	&:nth-child(n+4) {
		display: none;
		@media (min-width: $bp-medium) {
			display: block;
		}
	}
}

.posts__card-link {
	@media (min-width: $bp-medium) {
		@include flex (flex-start, flex-start);
		gap: 20px;
	}	
	
	img {
		margin-bottom: 11px;
		width: 160px;
		height: 140px;

		@media (min-width: $bp-medium) {
			margin-bottom: 0;
		}
	}
}

.posts__card-title {
	font-weight: 700;
	font-size: 14px;
	line-height: 30px;
	color: $text-color-dark;

	@media (min-width: $bp-medium) {
		font-size: 16px;
		line-height: 25px;
	}
}

.posts__card-info {
	font-size: 11px;
	line-height: 20px;
	color: #7C7C7C;

	span {
		padding-left: 20px;
		position: relative;

		&::before {
			content: '/';
			display: inline-block;
			position: absolute;
			left: 8px;
		}
	}
	@media (min-width: $bp-medium) {
		font-size: 12px;
		margin-bottom: 13px;
	}
}

.posts__card-text {
	display: none;

	@media (min-width: $bp-medium) {
		display: block;
		font-size: 14px;
		line-height: 26px;
		color: #5C5C5C;
	}

	span {
		@media (min-width: $bp-medium) and (max-width: $bp-large) {
			display: block;
		}
	}
}